<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.system.SzOut" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.drivingSchool.*" %>
<%
    //获取提交的参数
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
    String sSubjectOrder = SzConvert.strWriteData(request.getParameter("subjectOrder"));	 //科目
    String type= SzConvert.toZeroStr(request.getParameter("type"));
%>
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="subjectOrder" value="<%=sSubjectOrder%>">  
</form>
<%
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
	Charge charge = new Charge();
    boolean flag = false;
    String sUrl = "charge.jsp";
    String sMessage = "";
    if (sOPERATOR.equals("add")) {
    	sUrl = "charge.jsp";
    	flag = charge.shoufei(request,session);    	
    } else if (sOPERATOR.equals("shenhe")) {
    	sUrl = "charge2_list.jsp";
    	flag = charge.shenhe(request,session);    	
    }
    sMessage = SzOut.getMessage();

    if (flag) {
        out.println(SzPageHelp.jsAlert("操作成功"));
        //out.println(SzPageHelp.jsGoUrl(sUrl));
        out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>